/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class FigureElementDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements FigureElementData {

    public FigureElementDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getResizable() {
        return getGrtGlobalAsInt("resizable");
    }

    public int setResizable(int resizable) {
        setGrtGlobalFromInt("resizable", resizable);

        return getResizable();
    }

    public int getExpanded() {
        return getGrtGlobalAsInt("expanded");
    }

    public int setExpanded(int expanded) {
        setGrtGlobalFromInt("expanded", expanded);

        return getExpanded();
    }

    public double getConstraintMaxHeight() {
        return getGrtGlobalAsReal("constraintMaxHeight");
    }

    public double setConstraintMaxHeight(double constraintMaxHeight) {
        setGrtGlobalFromReal("constraintMaxHeight", constraintMaxHeight);

        return getConstraintMaxHeight();
    }

    public double getConstraintMaxWidth() {
        return getGrtGlobalAsReal("constraintMaxWidth");
    }

    public double setConstraintMaxWidth(double constraintMaxWidth) {
        setGrtGlobalFromReal("constraintMaxWidth", constraintMaxWidth);

        return getConstraintMaxWidth();
    }

    public double getConstraintMinHeight() {
        return getGrtGlobalAsReal("constraintMinHeight");
    }

    public double setConstraintMinHeight(double constraintMinHeight) {
        setGrtGlobalFromReal("constraintMinHeight", constraintMinHeight);

        return getConstraintMinHeight();
    }

    public double getConstraintMinWidth() {
        return getGrtGlobalAsReal("constraintMinWidth");
    }

    public double setConstraintMinWidth(double constraintMinWidth) {
        setGrtGlobalFromReal("constraintMinWidth", constraintMinWidth);

        return getConstraintMinWidth();
    }

    public String getLayout() {
        return getGrtGlobalAsString("layout");
    }

    public String setLayout(String layout) {
        setGrtGlobalFromString("layout", layout);

        return getLayout();
    }

    public String getStyle() {
        return getGrtGlobalAsString("style");
    }

    public String setStyle(String style) {
        setGrtGlobalFromString("style", style);

        return getStyle();
    }

    public com.mysql.grt.GrtHashMap getCaption() {
        return (com.mysql.grt.GrtHashMap) getGrtGlobalAsObject("caption");

    }

    public com.mysql.grt.GrtHashMap setCaption(com.mysql.grt.GrtHashMap caption) {
        setGrtGlobalFromObject("caption", caption);

        return getCaption();
    }

    public com.mysql.grt.canvas.FigureElementList getChildren() {
        return (com.mysql.grt.canvas.FigureElementList) getGrtGlobalAsObject("children");
    }

    public com.mysql.grt.canvas.FigureElementList setChildren(com.mysql.grt.canvas.FigureElementList children) {
        setGrtGlobalFromObject("children", children);

        return getChildren();
    }

}
