/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class Layer extends com.mysql.grt.GrtObject {

    protected Layer() {
    }

    public Layer(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new LayerDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new LayerDataGlobal((String) obj);
        }
    }

    public int getVisible() {
        return ((LayerData) data).getVisible();
    }

    public int setVisible(int visible) {
        ((LayerData) data).setVisible(visible);

        return getVisible();
    }

    public int getEnabled() {
        return ((LayerData) data).getEnabled();
    }

    public int setEnabled(int enabled) {
        ((LayerData) data).setEnabled(enabled);

        return getEnabled();
    }

    public com.mysql.grt.GrtRealList getScaling() {
        return ((LayerData) data).getScaling();
    }

    public com.mysql.grt.GrtRealList setScaling(com.mysql.grt.GrtRealList scaling) {
        ((LayerData) data).setScaling(scaling);

        return getScaling();
    }

    public com.mysql.grt.GrtRealList getTranslation() {
        return ((LayerData) data).getTranslation();
    }

    public com.mysql.grt.GrtRealList setTranslation(com.mysql.grt.GrtRealList translation) {
        ((LayerData) data).setTranslation(translation);

        return getTranslation();
    }

    public com.mysql.grt.canvas.GroupList getGroups() {
        return ((LayerData) data).getGroups();
    }

    public com.mysql.grt.canvas.GroupList setGroups(com.mysql.grt.canvas.GroupList groups) {
        ((LayerData) data).setGroups(groups);

        return getGroups();
    }

    public com.mysql.grt.canvas.FigureInstanceList getFigureInstances() {
        return ((LayerData) data).getFigureInstances();
    }

    public com.mysql.grt.canvas.FigureInstanceList setFigureInstances(com.mysql.grt.canvas.FigureInstanceList figureInstances) {
        ((LayerData) data).setFigureInstances(figureInstances);

        return getFigureInstances();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"visible\">"
                    + Integer.toString(getVisible()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"enabled\">"
                    + Integer.toString(getEnabled()) + "</value>\n");

            if (getScaling() != null) {
                getScaling().getGrtXml(xml, " key=\"scaling\"");
            }

            if (getTranslation() != null) {
                getTranslation().getGrtXml(xml, " key=\"translation\"");
            }

            if (getGroups() != null) {
                getGroups().getGrtXml(xml, " key=\"groups\"");
            }

            if (getFigureInstances() != null) {
                getFigureInstances().getGrtXml(xml, " key=\"figureInstances\"");
            }

        return xml;
    }
}
