/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class CatalogDataGlobal extends com.mysql.grt.base.NamedGrtObjectDataGlobal implements CatalogData {

    public CatalogDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getDefaultCharacterSetName() {
        return getGrtGlobalAsString("defaultCharacterSetName");
    }

    public String setDefaultCharacterSetName(String defaultCharacterSetName) {
        setGrtGlobalFromString("defaultCharacterSetName", defaultCharacterSetName);

        return getDefaultCharacterSetName();
    }

    public String getDefaultCollationName() {
        return getGrtGlobalAsString("defaultCollationName");
    }

    public String setDefaultCollationName(String defaultCollationName) {
        setGrtGlobalFromString("defaultCollationName", defaultCollationName);

        return getDefaultCollationName();
    }

    public com.mysql.grt.db.Version getVersion() {
        return (com.mysql.grt.db.Version) getGrtGlobalAsObject("version");

    }

    public com.mysql.grt.db.Version setVersion(com.mysql.grt.db.Version version) {
        setGrtGlobalFromObject("version", version);

        return getVersion();
    }

    public com.mysql.grt.GrtHashMap getCustomData() {
        return (com.mysql.grt.GrtHashMap) getGrtGlobalAsObject("customData");

    }

    public com.mysql.grt.GrtHashMap setCustomData(com.mysql.grt.GrtHashMap customData) {
        setGrtGlobalFromObject("customData", customData);

        return getCustomData();
    }

    public com.mysql.grt.db.SchemaList getSchemata() {
        return (com.mysql.grt.db.SchemaList) getGrtGlobalAsObject("schemata");
    }

    public com.mysql.grt.db.SchemaList setSchemata(com.mysql.grt.db.SchemaList schemata) {
        setGrtGlobalFromObject("schemata", schemata);

        return getSchemata();
    }

    public com.mysql.grt.db.SimpleDatatypeList getSimpleDatatypes() {
        return (com.mysql.grt.db.SimpleDatatypeList) getGrtGlobalAsObject("simpleDatatypes");
    }

    public com.mysql.grt.db.SimpleDatatypeList setSimpleDatatypes(com.mysql.grt.db.SimpleDatatypeList simpleDatatypes) {
        setGrtGlobalFromObject("simpleDatatypes", simpleDatatypes);

        return getSimpleDatatypes();
    }

    public com.mysql.grt.db.CharacterSetList getCharacterSets() {
        return (com.mysql.grt.db.CharacterSetList) getGrtGlobalAsObject("characterSets");
    }

    public com.mysql.grt.db.CharacterSetList setCharacterSets(com.mysql.grt.db.CharacterSetList characterSets) {
        setGrtGlobalFromObject("characterSets", characterSets);

        return getCharacterSets();
    }

}
