/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class DatabaseSyncObject extends com.mysql.grt.GrtObject {

    protected DatabaseSyncObject() {
    }

    public DatabaseSyncObject(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new DatabaseSyncObjectDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new DatabaseSyncObjectDataGlobal((String) obj);
        }
    }

    public int getChanged() {
        return ((DatabaseSyncObjectData) data).getChanged();
    }

    public int setChanged(int changed) {
        ((DatabaseSyncObjectData) data).setChanged(changed);

        return getChanged();
    }

    public int getAlterDirection() {
        return ((DatabaseSyncObjectData) data).getAlterDirection();
    }

    public int setAlterDirection(int alterDirection) {
        ((DatabaseSyncObjectData) data).setAlterDirection(alterDirection);

        return getAlterDirection();
    }

    public com.mysql.grt.base.ObjectLogList getSyncLog() {
        return ((DatabaseSyncObjectData) data).getSyncLog();
    }

    public com.mysql.grt.base.ObjectLogList setSyncLog(com.mysql.grt.base.ObjectLogList syncLog) {
        ((DatabaseSyncObjectData) data).setSyncLog(syncLog);

        return getSyncLog();
    }

    public com.mysql.grt.base.NamedGrtObject getModelObject() {
        return ((DatabaseSyncObjectData) data).getModelObject();
    }

    public com.mysql.grt.base.NamedGrtObject setModelObject(com.mysql.grt.base.NamedGrtObject modelObject) {
        ((DatabaseSyncObjectData) data).setModelObject(modelObject);

        return getModelObject();
    }

    public String getModelObjectById() {
        return ((DatabaseSyncObjectData) data).getModelObjectById();
    }

    public void setModelObjectById(String modelObject) {
        ((DatabaseSyncObjectData) data).setModelObjectById(modelObject);
    }

    public com.mysql.grt.base.NamedGrtObject getDbObject() {
        return ((DatabaseSyncObjectData) data).getDbObject();
    }

    public com.mysql.grt.base.NamedGrtObject setDbObject(com.mysql.grt.base.NamedGrtObject dbObject) {
        ((DatabaseSyncObjectData) data).setDbObject(dbObject);

        return getDbObject();
    }

    public String getDbObjectById() {
        return ((DatabaseSyncObjectData) data).getDbObjectById();
    }

    public void setDbObjectById(String dbObject) {
        ((DatabaseSyncObjectData) data).setDbObjectById(dbObject);
    }

    public com.mysql.grt.db.DatabaseSyncObjectList getChildren() {
        return ((DatabaseSyncObjectData) data).getChildren();
    }

    public com.mysql.grt.db.DatabaseSyncObjectList setChildren(com.mysql.grt.db.DatabaseSyncObjectList children) {
        ((DatabaseSyncObjectData) data).setChildren(children);

        return getChildren();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"changed\">"
                    + Integer.toString(getChanged()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"alterDirection\">"
                    + Integer.toString(getAlterDirection()) + "</value>\n");

            if (getSyncLog() != null) {
                getSyncLog().getGrtXml(xml, " key=\"syncLog\"");
            }

            if (getModelObject() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"modelObject\">"
                        + getModelObjectById() + "</value>\n");
            }

            if (getDbObject() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"dbObject\">"
                        + getDbObjectById() + "</value>\n");
            }

            if (getChildren() != null) {
                getChildren().getGrtRefXml(xml, " key=\"children\"");
            }

        return xml;
    }
}
