/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class IndexColumnDataLocal extends com.mysql.grt.GrtObjectDataLocal implements IndexColumnData {

    private int columnLength;

    private int descend;

    private String storedFunction;

    private String comment;

    private String referedColumn;

    public IndexColumnDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getColumnLength() {
        return columnLength;
    }

    public int setColumnLength(int columnLength) {
        this.columnLength = columnLength;

        return getColumnLength();
    }

    public int getDescend() {
        return descend;
    }

    public int setDescend(int descend) {
        this.descend = descend;

        return getDescend();
    }

    public String getStoredFunction() {
        return storedFunction;
    }

    public String setStoredFunction(String storedFunction) {
        this.storedFunction = storedFunction;

        return getStoredFunction();
    }

    public String getComment() {
        return comment;
    }

    public String setComment(String comment) {
        this.comment = comment;

        return getComment();
    }

    public com.mysql.grt.db.Column getReferedColumn() {
        return (com.mysql.grt.db.Column) com.mysql.grt.Grt.getInstance().getObjectByRefId(referedColumn);
    }

    public com.mysql.grt.db.Column setReferedColumn(com.mysql.grt.db.Column referedColumn) {
        this.referedColumn = referedColumn.get_id();
        return getReferedColumn();
    }

    public String getReferedColumnById() {
        return referedColumn;
    }

    public void setReferedColumnById(String referedColumn) {
        this.referedColumn = referedColumn;
    }

}
