/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class SynonymDataLocal extends com.mysql.grt.db.DatabaseObjectDataLocal implements SynonymData {

    private int isPublic;

    private String referedSchemaName;

    private String referedObjectName;

    private String referedObject;

    public SynonymDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getIsPublic() {
        return isPublic;
    }

    public int setIsPublic(int isPublic) {
        this.isPublic = isPublic;

        return getIsPublic();
    }

    public String getReferedSchemaName() {
        return referedSchemaName;
    }

    public String setReferedSchemaName(String referedSchemaName) {
        this.referedSchemaName = referedSchemaName;

        return getReferedSchemaName();
    }

    public String getReferedObjectName() {
        return referedObjectName;
    }

    public String setReferedObjectName(String referedObjectName) {
        this.referedObjectName = referedObjectName;

        return getReferedObjectName();
    }

    public com.mysql.grt.db.DatabaseObject getReferedObject() {
        return (com.mysql.grt.db.DatabaseObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(referedObject);
    }

    public com.mysql.grt.db.DatabaseObject setReferedObject(com.mysql.grt.db.DatabaseObject referedObject) {
        this.referedObject = referedObject.get_id();
        return getReferedObject();
    }

    public String getReferedObjectById() {
        return referedObject;
    }

    public void setReferedObjectById(String referedObject) {
        this.referedObject = referedObject;
    }

}
