/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class View extends com.mysql.grt.db.DatabaseObject {

    protected View() {
    }

    public View(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ViewDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ViewDataGlobal((String) obj);
        }
    }

    public int getWithCheckCondition() {
        return ((ViewData) data).getWithCheckCondition();
    }

    public int setWithCheckCondition(int withCheckCondition) {
        ((ViewData) data).setWithCheckCondition(withCheckCondition);

        return getWithCheckCondition();
    }

    public int getIsReadOnly() {
        return ((ViewData) data).getIsReadOnly();
    }

    public int setIsReadOnly(int isReadOnly) {
        ((ViewData) data).setIsReadOnly(isReadOnly);

        return getIsReadOnly();
    }

    public String getQueryExpression() {
        return ((ViewData) data).getQueryExpression();
    }

    public String setQueryExpression(String queryExpression) {
        ((ViewData) data).setQueryExpression(queryExpression);

        return getQueryExpression();
    }

    public com.mysql.grt.GrtStringList getColumns() {
        return ((ViewData) data).getColumns();
    }

    public com.mysql.grt.GrtStringList setColumns(com.mysql.grt.GrtStringList columns) {
        ((ViewData) data).setColumns(columns);

        return getColumns();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"withCheckCondition\">"
                    + Integer.toString(getWithCheckCondition()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"isReadOnly\">"
                    + Integer.toString(getIsReadOnly()) + "</value>\n");

            if (getQueryExpression() != null) {
                xml.append("<value type=\"string\" key=\"queryExpression\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getQueryExpression()) + "</value>\n");
            }

            if (getColumns() != null) {
                getColumns().getGrtXml(xml, " key=\"columns\"");
            }

        return xml;
    }
}
