/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class IMConnection extends com.mysql.grt.GrtObject {

    protected IMConnection() {
    }

    public IMConnection(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new IMConnectionDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new IMConnectionDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.GrtHashMap getManagerConnection() {
        return ((IMConnectionData) data).getManagerConnection();
    }

    public com.mysql.grt.GrtHashMap setManagerConnection(com.mysql.grt.GrtHashMap managerConnection) {
        ((IMConnectionData) data).setManagerConnection(managerConnection);

        return getManagerConnection();
    }

    public com.mysql.grt.db.mgmt.ConnectionList getServerConnections() {
        return ((IMConnectionData) data).getServerConnections();
    }

    public com.mysql.grt.db.mgmt.ConnectionList setServerConnections(com.mysql.grt.db.mgmt.ConnectionList serverConnections) {
        ((IMConnectionData) data).setServerConnections(serverConnections);

        return getServerConnections();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getServerConnections() != null) {
                getServerConnections().getGrtXml(xml, " key=\"serverConnections\"");
            }

            if (getManagerConnection() != null) {
                getManagerConnection().getGrtXml(xml, " key=\"managerConnection\"");
            }

        return xml;
    }
}
