/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class IMConnectionDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements IMConnectionData {

    public IMConnectionDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public com.mysql.grt.GrtHashMap getManagerConnection() {
        return (com.mysql.grt.GrtHashMap) getGrtGlobalAsObject("managerConnection");

    }

    public com.mysql.grt.GrtHashMap setManagerConnection(com.mysql.grt.GrtHashMap managerConnection) {
        setGrtGlobalFromObject("managerConnection", managerConnection);

        return getManagerConnection();
    }

    public com.mysql.grt.db.mgmt.ConnectionList getServerConnections() {
        return (com.mysql.grt.db.mgmt.ConnectionList) getGrtGlobalAsObject("serverConnections");
    }

    public com.mysql.grt.db.mgmt.ConnectionList setServerConnections(com.mysql.grt.db.mgmt.ConnectionList serverConnections) {
        setGrtGlobalFromObject("serverConnections", serverConnections);

        return getServerConnections();
    }

}
