/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class RdbmsDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements RdbmsData {

    public RdbmsDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getCaption() {
        return getGrtGlobalAsString("caption");
    }

    public String setCaption(String caption) {
        setGrtGlobalFromString("caption", caption);

        return getCaption();
    }

    public String getDatabaseObjectPackage() {
        return getGrtGlobalAsString("databaseObjectPackage");
    }

    public String setDatabaseObjectPackage(String databaseObjectPackage) {
        setGrtGlobalFromString("databaseObjectPackage", databaseObjectPackage);

        return getDatabaseObjectPackage();
    }

    public com.mysql.grt.db.mgmt.DriverList getDrivers() {
        return (com.mysql.grt.db.mgmt.DriverList) getGrtGlobalAsObject("drivers");
    }

    public com.mysql.grt.db.mgmt.DriverList setDrivers(com.mysql.grt.db.mgmt.DriverList drivers) {
        setGrtGlobalFromObject("drivers", drivers);

        return getDrivers();
    }

    public com.mysql.grt.db.SimpleDatatypeList getSimpleDatatypes() {
        return (com.mysql.grt.db.SimpleDatatypeList) getGrtGlobalAsObject("simpleDatatypes");
    }

    public com.mysql.grt.db.SimpleDatatypeList setSimpleDatatypes(com.mysql.grt.db.SimpleDatatypeList simpleDatatypes) {
        setGrtGlobalFromObject("simpleDatatypes", simpleDatatypes);

        return getSimpleDatatypes();
    }

    public com.mysql.grt.db.CharacterSetList getCharacterSets() {
        return (com.mysql.grt.db.CharacterSetList) getGrtGlobalAsObject("characterSets");
    }

    public com.mysql.grt.db.CharacterSetList setCharacterSets(com.mysql.grt.db.CharacterSetList characterSets) {
        setGrtGlobalFromObject("characterSets", characterSets);

        return getCharacterSets();
    }

    public com.mysql.grt.db.mgmt.Driver getDefaultDriver() {
        return (com.mysql.grt.db.mgmt.Driver) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("defaultDriver"));
    }

    public com.mysql.grt.db.mgmt.Driver setDefaultDriver(com.mysql.grt.db.mgmt.Driver defaultDriver) {
        setGrtGlobalFromString("defaultDriver", defaultDriver.get_id());

        return getDefaultDriver();
    }

    public String getDefaultDriverById() {
        return getGrtGlobalAsString("defaultDriver");
    }

    public void setDefaultDriverById(String defaultDriver) {
        setGrtGlobalFromString("defaultDriver", defaultDriver);
    }

}
