/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class MigrationDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements MigrationData {

    public MigrationDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public com.mysql.grt.db.mgmt.Connection getSourceConnection() {
        return (com.mysql.grt.db.mgmt.Connection) getGrtGlobalAsObject("sourceConnection");

    }

    public com.mysql.grt.db.mgmt.Connection setSourceConnection(com.mysql.grt.db.mgmt.Connection sourceConnection) {
        setGrtGlobalFromObject("sourceConnection", sourceConnection);

        return getSourceConnection();
    }

    public com.mysql.grt.db.mgmt.Connection getTargetConnection() {
        return (com.mysql.grt.db.mgmt.Connection) getGrtGlobalAsObject("targetConnection");

    }

    public com.mysql.grt.db.mgmt.Connection setTargetConnection(com.mysql.grt.db.mgmt.Connection targetConnection) {
        setGrtGlobalFromObject("targetConnection", targetConnection);

        return getTargetConnection();
    }

    public com.mysql.grt.db.Catalog getSourceCatalog() {
        return (com.mysql.grt.db.Catalog) getGrtGlobalAsObject("sourceCatalog");

    }

    public com.mysql.grt.db.Catalog setSourceCatalog(com.mysql.grt.db.Catalog sourceCatalog) {
        setGrtGlobalFromObject("sourceCatalog", sourceCatalog);

        return getSourceCatalog();
    }

    public com.mysql.grt.db.Catalog getTargetCatalog() {
        return (com.mysql.grt.db.Catalog) getGrtGlobalAsObject("targetCatalog");

    }

    public com.mysql.grt.db.Catalog setTargetCatalog(com.mysql.grt.db.Catalog targetCatalog) {
        setGrtGlobalFromObject("targetCatalog", targetCatalog);

        return getTargetCatalog();
    }

    public com.mysql.grt.db.Version getTargetVersion() {
        return (com.mysql.grt.db.Version) getGrtGlobalAsObject("targetVersion");

    }

    public com.mysql.grt.db.Version setTargetVersion(com.mysql.grt.db.Version targetVersion) {
        setGrtGlobalFromObject("targetVersion", targetVersion);

        return getTargetVersion();
    }

    public com.mysql.grt.GrtStringHashMap getObjectCreationParams() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("objectCreationParams");

    }

    public com.mysql.grt.GrtStringHashMap setObjectCreationParams(com.mysql.grt.GrtStringHashMap objectCreationParams) {
        setGrtGlobalFromObject("objectCreationParams", objectCreationParams);

        return getObjectCreationParams();
    }

    public com.mysql.grt.GrtStringHashMap getDataBulkTransferParams() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("dataBulkTransferParams");

    }

    public com.mysql.grt.GrtStringHashMap setDataBulkTransferParams(com.mysql.grt.GrtStringHashMap dataBulkTransferParams) {
        setGrtGlobalFromObject("dataBulkTransferParams", dataBulkTransferParams);

        return getDataBulkTransferParams();
    }

    public com.mysql.grt.GrtStringHashMap getApplicationData() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("applicationData");

    }

    public com.mysql.grt.GrtStringHashMap setApplicationData(com.mysql.grt.GrtStringHashMap applicationData) {
        setGrtGlobalFromObject("applicationData", applicationData);

        return getApplicationData();
    }

    public com.mysql.grt.GrtStringList getSourceSchemataNames() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("sourceSchemataNames");
    }

    public com.mysql.grt.GrtStringList setSourceSchemataNames(com.mysql.grt.GrtStringList sourceSchemataNames) {
        setGrtGlobalFromObject("sourceSchemataNames", sourceSchemataNames);

        return getSourceSchemataNames();
    }

    public com.mysql.grt.GrtStringList getSelectedSchemataNames() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("selectedSchemataNames");
    }

    public com.mysql.grt.GrtStringList setSelectedSchemataNames(com.mysql.grt.GrtStringList selectedSchemataNames) {
        setGrtGlobalFromObject("selectedSchemataNames", selectedSchemataNames);

        return getSelectedSchemataNames();
    }

    public com.mysql.grt.GrtStringList getIgnoreList() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("ignoreList");
    }

    public com.mysql.grt.GrtStringList setIgnoreList(com.mysql.grt.GrtStringList ignoreList) {
        setGrtGlobalFromObject("ignoreList", ignoreList);

        return getIgnoreList();
    }

    public com.mysql.grt.db.migration.MappingList getMappingDefaults() {
        return (com.mysql.grt.db.migration.MappingList) getGrtGlobalAsObject("mappingDefaults");
    }

    public com.mysql.grt.db.migration.MappingList setMappingDefaults(com.mysql.grt.db.migration.MappingList mappingDefaults) {
        setGrtGlobalFromObject("mappingDefaults", mappingDefaults);

        return getMappingDefaults();
    }

    public com.mysql.grt.db.migration.MappingList getMappingDefinitions() {
        return (com.mysql.grt.db.migration.MappingList) getGrtGlobalAsObject("mappingDefinitions");
    }

    public com.mysql.grt.db.migration.MappingList setMappingDefinitions(com.mysql.grt.db.migration.MappingList mappingDefinitions) {
        setGrtGlobalFromObject("mappingDefinitions", mappingDefinitions);

        return getMappingDefinitions();
    }

    public com.mysql.grt.base.ObjectLogList getMigrationLog() {
        return (com.mysql.grt.base.ObjectLogList) getGrtGlobalAsObject("migrationLog");
    }

    public com.mysql.grt.base.ObjectLogList setMigrationLog(com.mysql.grt.base.ObjectLogList migrationLog) {
        setGrtGlobalFromObject("migrationLog", migrationLog);

        return getMigrationLog();
    }

    public com.mysql.grt.base.ObjectLogList getCreationLog() {
        return (com.mysql.grt.base.ObjectLogList) getGrtGlobalAsObject("creationLog");
    }

    public com.mysql.grt.base.ObjectLogList setCreationLog(com.mysql.grt.base.ObjectLogList creationLog) {
        setGrtGlobalFromObject("creationLog", creationLog);

        return getCreationLog();
    }

    public com.mysql.grt.base.ObjectLogList getDataTransferLog() {
        return (com.mysql.grt.base.ObjectLogList) getGrtGlobalAsObject("dataTransferLog");
    }

    public com.mysql.grt.base.ObjectLogList setDataTransferLog(com.mysql.grt.base.ObjectLogList dataTransferLog) {
        setGrtGlobalFromObject("dataTransferLog", dataTransferLog);

        return getDataTransferLog();
    }

    public com.mysql.grt.db.migration.DatatypeMappingList getGenericDatatypeMappings() {
        return (com.mysql.grt.db.migration.DatatypeMappingList) getGrtGlobalAsObject("genericDatatypeMappings");
    }

    public com.mysql.grt.db.migration.DatatypeMappingList setGenericDatatypeMappings(com.mysql.grt.db.migration.DatatypeMappingList genericDatatypeMappings) {
        setGrtGlobalFromObject("genericDatatypeMappings", genericDatatypeMappings);

        return getGenericDatatypeMappings();
    }

    public com.mysql.grt.db.migration.MethodList getMigrationMethods() {
        return (com.mysql.grt.db.migration.MethodList) getGrtGlobalAsObject("migrationMethods");
    }

    public com.mysql.grt.db.migration.MethodList setMigrationMethods(com.mysql.grt.db.migration.MethodList migrationMethods) {
        setGrtGlobalFromObject("migrationMethods", migrationMethods);

        return getMigrationMethods();
    }

    public com.mysql.grt.GrtObjectList getSourceObjects() {
        return (com.mysql.grt.GrtObjectList) getGrtGlobalAsObject("sourceObjects");
    }

    public com.mysql.grt.GrtObjectList setSourceObjects(com.mysql.grt.GrtObjectList sourceObjects) {
        setGrtGlobalFromObject("sourceObjects", sourceObjects);

        return getSourceObjects();
    }

}
