/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public interface TableData extends com.mysql.grt.db.TableData {

    public int getPctFreeBlockSpace();

    public int setPctFreeBlockSpace(int pctFreeBlockSpace);

    public int getPctUsedBlockSpace();

    public int setPctUsedBlockSpace(int pctUsedBlockSpace);

    public int getInitialTrans();

    public int setInitialTrans(int initialTrans);

    public int getMaxTrans();

    public int setMaxTrans(int maxTrans);

    public int getInitialExtent();

    public int setInitialExtent(int initialExtent);

    public int getNextExtent();

    public int setNextExtent(int nextExtent);

    public int getMinExtents();

    public int setMinExtents(int minExtents);

    public int getMaxExtents();

    public int setMaxExtents(int maxExtents);

    public int getPctIncrease();

    public int setPctIncrease(int pctIncrease);

    public int getNumRows();

    public int setNumRows(int numRows);

    public int getBlocks();

    public int setBlocks(int blocks);

    public int getEmptyBlocks();

    public int setEmptyBlocks(int emptyBlocks);

    public int getAvgSpace();

    public int setAvgSpace(int avgSpace);

    public int getAvgRowLen();

    public int setAvgRowLen(int avgRowLen);

    public int getIsNestedTable();

    public int setIsNestedTable(int isNestedTable);

    public String getTablespaceName();

    public String setTablespaceName(String tablespaceName);

    public String getClusterName();

    public String setClusterName(String clusterName);

}
