/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class ViewDataGlobal extends com.mysql.grt.db.ViewDataGlobal implements ViewData {

    public ViewDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getTypedText() {
        return getGrtGlobalAsString("typedText");
    }

    public String setTypedText(String typedText) {
        setGrtGlobalFromString("typedText", typedText);

        return getTypedText();
    }

    public String getOidText() {
        return getGrtGlobalAsString("oidText");
    }

    public String setOidText(String oidText) {
        setGrtGlobalFromString("oidText", oidText);

        return getOidText();
    }

    public String getViewTypeOwner() {
        return getGrtGlobalAsString("viewTypeOwner");
    }

    public String setViewTypeOwner(String viewTypeOwner) {
        setGrtGlobalFromString("viewTypeOwner", viewTypeOwner);

        return getViewTypeOwner();
    }

    public String getViewType() {
        return getGrtGlobalAsString("viewType");
    }

    public String setViewType(String viewType) {
        setGrtGlobalFromString("viewType", viewType);

        return getViewType();
    }

    public String getSuperViewName() {
        return getGrtGlobalAsString("superViewName");
    }

    public String setSuperViewName(String superViewName) {
        setGrtGlobalFromString("superViewName", superViewName);

        return getSuperViewName();
    }

}
